API detected by Play Console

nounours18200

New member
Jun 13, 2023
2
0
1
Visit site
Hello,

I have used MIT AppInventor to create my application (a very simple one), so I have got my ".APK" file.

In order to publish my application the Google Play Store (requiring a ".AAB" file and not accepting anymore the ".APK" format), I have been obliged to:
  • -import my ".APK" file on my smartphone
  • -convert it in ".AAB" file using a "APK to AAB converter" utility on my smartphone (Samsung S8 under Android 9)
  • -export my "AAB" file back to my PC
  • -sign my "AAB" file with a personal key.

The signature is successful, but the Google Play console refuses to upload my application because "the required level of API (>=31 is not reached by my application (v29)".

8-API Error.JPG
Based on my reading of the Google articles, I see no other solution that to perform the "APK to AAB conversion" on modern smartphone using a recent version of Android: because I believe (not sure) that the API version detected by the Google Play Console is defined by the Android version of the smartphone.

Can you tell me if there is another way (then using a modern smartphone with a recent Android version) to generate a ".AAB" file with the correct API level (>=31) ?

Thank you,
 

Trending Posts

Forum statistics

Threads
945,662
Messages
6,926,535
Members
3,159,937
Latest member
wale